Skip to content

Time series

GET /v1/latest/{type}/timeseries/popindex/{region}/{item_id}

Returns a time series.

Name Type Required Description
type string yes Type of the entity. One of cat5, brand.
region string yes Region code for the market you want data from. One of us, gb, fr, kr, jp, global.
item_id UUID yes Identifier of the category or brand.
Terminal window
curl https://api.spate.nyc/v1/latest/cat5/timeseries/popindex/us/0615732b-941b-4d90-9928-9bf8195015d9 \
-H "Authorization: Bearer $SPATE_API_KEY" | jq
200 OK
{
"key": "/v1/2026w24/cat5/timeseries/popindex/us/0615732b-941b-4d90-9928-9bf8195015d9",
"credits_used": 1760,
"data": {
"cat5_id": "0615732b-941b-4d90-9928-9bf8195015d9",
"dashboard": "https://app.spate.nyc/categoryFive/0615732b-941b-4d90-9928-9bf8195015d9?country=US",
"timeseries": [
{
"date": "2023-06-01",
"real_volume": 2733075.654281283
},
...
{
"date": "2026-04-01",
"real_volume": 34227075.114174545
}
],
"call_cost": 10,
"data_cost": 1750
}
}
Terminal window
curl https://api.spate.nyc/v1/latest/brand/timeseries/popindex/us/cc072b84-89e2-4926-9940-368e7f222787 \
-H "Authorization: Bearer $SPATE_API_KEY" | jq
200 OK
{
"key": "/v1/2026w24/brand/timeseries/popindex/us/cc072b84-89e2-4926-9940-368e7f222787",
"credits_used": 1760,
"data": {
"brand_id": "cc072b84-89e2-4926-9940-368e7f222787",
"dashboard": "https://app.spate.nyc/brands/cc072b84-89e2-4926-9940-368e7f222787?country=US",
"timeseries": [
{
"date": "2023-06-01",
"real_volume": 740893409.0046556
},
...
{
"date": "2026-04-01",
"real_volume": 1024261323.6931552
}
],
"call_cost": 10,
"data_cost": 1750
}
}